Package org.eclipse.lemminx.extensions.references.settings

## Class XMLReferences

- java.lang.Object
- - org.eclipse.lemminx.settings.PathPatternMatcher
  - - org.eclipse.lemminx.extensions.references.settings.XMLReferences

    public class XMLReferences
    extends PathPatternMatcher

XML references which stores list of `XMLReferenceExpression` applied for a give pattern.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`XMLReferences()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<XMLReferenceExpression>` `getExpressions()` Returns list of XML reference expressions.
`Boolean` `getMultiple()`
`String` `getPrefix()`
`void` `setExpressions​(List<XMLReferenceExpression> expressions)` Set list of XML reference expressions.
`void` `setMultiple​(Boolean multiple)`
`void` `setPrefix​(String prefix)`

### Methods inherited from class org.eclipse.lemminx.settings.PathPatternMatcher

`equals, getPathMatcher, getPattern, matches, matches, setPathMatcher, setPattern`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLReferences

    public XMLReferences()

### Method Detail

#### getExpressions

    public List<XMLReferenceExpression> getExpressions()

Returns list of XML reference expressions.

Returns:
  list of XML reference expressions.

#### setExpressions

    public void setExpressions​(List<XMLReferenceExpression> expressions)

Set list of XML reference expressions.

Parameters:
  `expressions` - list of XML reference expressions.

#### getPrefix

    public String getPrefix()

#### setPrefix

    public void setPrefix​(String prefix)

#### getMultiple

    public Boolean getMultiple()

#### setMultiple

    public void setMultiple​(Boolean multiple)